#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	highlight
Version		:	4.10
Release		:	16.2.0.rel%{?dist}
Summary		:	Universal source code to formatted text converter


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	http://www.andre-simon.de/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	boost-devel
BuildRequires	:	desktop-file-utils
BuildRequires	:	lua-devel
BuildRequires	:	qt

#-----------------------------------------------------------------------------
%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc ChangeLog* AUTHORS README* extras/
%license COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/%{name}/langDefs/*.lang
%{_datadir}/%{name}/themes/*.theme
%{_datadir}/%{name}/themes/base16/*.theme
%{_datadir}/%{name}/plugins/*.lua
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/filetypes.conf.5.gz

#=============================================================================
%package		gui
Summary		:	GUI for the hihghlight source code formatter

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gui
A Qt-based GUI for the highlight source code formatter source.

#-----------------------------------------------------------------------------
%files			gui
%defattr(-,root,root,-)
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/%{name}/gui_files/l10n/%{name}_*.qm
%{_datadir}/%{name}/gui_files/ext/*.conf

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
#define _smp_mflags -j4
%{__make}						\
	%{_smp_mflags}					\
	all						\
	gui


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__make}						\
	DESTDIR=%{buildroot}				\
	install-gui

%{__mkdir_p}						\
	%{buildroot}%{_datadir}/applications		\
	%{buildroot}%{_datadir}/pixmaps

%{__rm} -fr						\
	 %{buildroot}%{_docdir}/%{name}/

desktop-file-install 					\
	--dir %{buildroot}%{_datadir}/applications	\
	highlight.desktop

#-----------------------------------------------------------------------------
%changelog
